package com.psmreborn.nopsmdrm;

import android.app.Activity;
import android.app.ActivityManager;
import android.content.Context;
import android.content.SharedPreferences;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;

import java.io.File;
import java.text.SimpleDateFormat;
import java.util.Date;

import eu.chainfire.libsuperuser.Shell;

public class Helper {

    private static Context ctx;
    public static void setContext(Context context){
        ctx = context;
    }
    public static boolean isNoPsmDrmAlreadyInstalled() {
        try {
            if(new File(getPsmApp().nativeLibraryDir, "libdefault_real.so").exists()){
                return true;
            }
        } catch (PackageManager.NameNotFoundException e) {
            return false;
        }
        return false;
    }
    public static boolean isPsmInstalled(){
        try {
            ctx.getPackageManager().getApplicationInfo("com.playstation.psstore", 0);
        } catch (PackageManager.NameNotFoundException e) {
            return false;
        }

        return true;
    }

    public static void killPsm(){
        ActivityManager am = (ActivityManager) ctx.getSystemService(Activity.ACTIVITY_SERVICE);
        am.killBackgroundProcesses("com.playstation.psstore");
    }
    public static ApplicationInfo getAppInfo(String pkg) throws PackageManager.NameNotFoundException {
        ApplicationInfo appInfo = ctx.getPackageManager().getApplicationInfo(pkg, 0);
        return appInfo;
    }
    public static ApplicationInfo getPsmApp() throws PackageManager.NameNotFoundException {
        return getAppInfo("com.playstation.psstore");
    }
    public static String getDateTime(){
        String formattedDate = new SimpleDateFormat("MM_dd_yyyy_HH_mm_ss").format(new Date());
        return formattedDate;
    }
}
